This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 173817 - xargs reports 'Argument list too long'
xargs reports 'Argument list too long'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: findutils (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-21 10:57 EST by Tim Waugh
Modified: 2009-07-17 07:39 EDT (History)
1 user (show)

See Also:
Fixed In Version: 4.2.26-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-21 11:47:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2005-11-21 10:57:45 EST
Description of problem:
xargs reports 'Argument list too long' with lots of input.

Version-Release number of selected component (if applicable):
findutils-4.2.20-1

How reproducible:
100%

Steps to Reproduce:
1. yes|head -n 32767|tr '\n' ' ' |xargs echo > /dev/null
  
Actual results:
xargs: echo: Argument list too long

Expected results:
No error.

Additional info:
For 64-bit machines 'head -n 16383' is sufficient.

This issue was spotted by Jim Meyering:

http://lists.gnu.org/archive/html/bug-findutils/2005-11/msg00021.html
Comment 3 Tim Waugh 2005-11-21 11:47:15 EST
Fixed in 4.2.26-1 in rawhide.

Note You need to log in before you can comment on or make changes to this bug.